<?php

/* * --------------------------------------------------------------------
  # Package - OptimumTheme OTSlideShow
  # Version 1.0
  # --------------------------------------------------------------------
  # Author    OptimumTheme http://www.optimumtheme.com
  # @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or Later
  # Copyright © 2012 - 2013 JoomlaMan.com. All Rights Reserved.
  # Email: info@optimumtheme.com
  # Based on default JM Slideshow module
  ---------------------------------------------------------------------* */
//-- No direct access
defined('_JEXEC') or die('Restricted access');
if (!class_exists('OTImage')) {
    require_once JPATH_SITE . DS . 'modules' . DS . 'mod_otslideshow' . DS . 'classes' . DS . 'otimage.class.php';
}

class OTSlide extends stdClass {

    var $image = null;
    var $title = null;
    var $description = null;
    var $link = null;
    var $params = null;

    public function OTSlide($params) {
        $this->params = $params;
    }

    public function loadArticle($id) {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true)
                ->select("c.*")
                ->from("#__content AS c")
                ->where("c.id = {$id}");
        $article = $db->setQuery($query)->loadObject();
        if ($article) {
            $this->title = $article->title;
            $this->image = $this->getFirstImage($article->introtext . $article->fulltext);
            $this->description = substr(strip_tags($article->introtext . $article->fulltext), 0, $this->params->get('otslideshow_desc_length', 150));
            $this->description = preg_replace('/ [^ ]*$/', ' ...', $this->description);
            $this->link = JRoute::_("index.php?option=com_content&view=article&id={$article->id}");
						if($this->params->get('otslideshow_title_link',0)){
							$this->title = '<a href="'.$this->link.'">'.$this->title.'</a>';
						}
        } else {
            return null;
        }
    }

    public function loadK2($id) {
		require_once (JPATH_SITE.'/components/com_k2/helpers/route.php');
		
        $db = JFactory::getDbo();
        $query = $db->getQuery(true)
                ->select("k2.*")
                ->from("#__k2_items AS k2")
                ->where("k2.id = {$id}");
        $k2 = $db->setQuery($query)->loadObject();
        if ($k2) {
            $this->title = $k2->title;
            $k2_image_source = $this->params->get('otslideshow_k2_image_source', 0);
            if (empty($k2_image_source)) {
                //$size = XS, S, M, L, XL
                $size = 'XL';
                jimport('joomla.filesystem.file');
                if (JFile::exists(JPATH_SITE . DS . 'media' . DS . 'k2' . DS . 'items' . DS . 'cache' . DS . md5("Image" . $k2->id) . '_L.jpg')) {
                    $this->image = JPATH_SITE . '/media/k2/items/cache/' . md5("Image" . $id) . '_' . $size . '.jpg';
                }
            } else {
                $this->image = $this->getFirstImage($k2->introtext . $k2->fulltext);
            }
            $this->description = substr(strip_tags($k2->introtext . $k2->fulltext), 0, $this->params->get('otslideshow_desc_length', 150));
            $this->description = preg_replace('/ [^ ]*$/', ' ...', $this->description);
			
            $this->link = urldecode(JRoute::_(K2HelperRoute::getItemRoute($k2->id.':'.urlencode($k2->alias), urlencode($k2->catid))));
			
            //$this->link = JRoute::_('index.php?option=com_k2&view=item&id=' . $k2->id . ':' . $k2->alias);
						if($this->params->get('otslideshow_title_link',0)){
							$this->title = '<a href="'.$this->link.'">'.$this->title.'</a>';
						}
        } else {
            return null;
        }
    }

    function getFirstImage($str) {
        $str = strip_tags($str, '<img>');
        preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $str, $matches);
        if (isset($matches[1][0])) {
            return $image = $matches[1][0];
        }
        return '';
    }

    function getMainImage() {
        if (empty($this->image)){
            $this->image = JURI::root() . 'modules/mod_otslideshow/images/no-image.jpg';
				}
        $style = $this->params->get('otslideshow_image_style', 'fill');
        $width = $this->params->get('otslideshow_image_width');
        $height = $this->params->get('otslideshow_image_height');
        if (false === file_get_contents($this->image, 0, null, 0, 1)) {
            $this->image = JURI::root() . 'modules/mod_otslideshow/images/no-image.jpg';
        }
        $file = pathinfo($this->image);
        $basename = $width . 'x' . $height . '_' . $style . '_' . $file['basename'];
        $safe_name = str_replace(array(' ', '(', ')', '[', ']'), '_', $basename);
        $newfile = OT_IMAGE_FOLDER . '/' . $safe_name;
        //print $newfile; die;
        $flush = isset($_GET['flush']) ? true : false;
        if (!file_exists($newfile) || $flush) {
            @unlink($newfile);
            $otimage = new OTImage($this->image);
            switch ($style) {
                case 'fill':
                    $otimage->reFill($width, $height);
                    break;
                case 'fix':
                    $otimage->scale($width, $height);
                    $otimage->enlargeCanvas($width, $height, array(0, 0, 0));
                    break;
                case 'stretch':
                    $otimage->resample($width, $height, false);
                    break;
            }
            $otimage->save($newfile);
        }
        return OT_IMAGE_PATH . '/' . $safe_name;
    }

    function getThumbnail() {
        $width = $this->params->get('otslideshow_image_thumbnail_width', 200);
        $height = $this->params->get('otslideshow_image_thumbnail_height', 100);
        $file = pathinfo($this->image);
        $basename = $width . 'x' . $height . '_' . $file['basename'];
        $safe_name = str_replace(array(' ', '(', ')', '[', ']'), '_', $basename);
        $newfile = OT_IMAGE_FOLDER . '/' . $safe_name;
        if (!file_exists($newfile)) {
            //unlink($newfile);
            $otimage = new OTImage($this->image);
            $otimage->resample($width, $height);
            $otimage->enlargeCanvas($width, $height, array(255, 255, 255));
            $otimage->save($newfile);
        }
        return OT_IMAGE_PATH . '/' . $safe_name;
    }

}