<?php

/* * --------------------------------------------------------------------
  # Package - JoomlaMan JMSlideShow
  # Version 1.0
  # --------------------------------------------------------------------
  # Author - JoomlaMan http://www.joomlaman.com
  # Copyright © 2012 - 2013 JoomlaMan.com. All Rights Reserved.
  # @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or Later
  # Websites: http://www.JoomlaMan.com
  ---------------------------------------------------------------------* */
//-- No direct access
defined('_JEXEC') or die('Restricted access');

class modOtSlideshowHelper {

    static function getSlides($params) {
        $slidesource = $params->get('slider_source', 1);
        switch ($slidesource) {
            case 1:
                return modOtSlideshowHelper::getSlidesFromCategories($params);
                break;
            case 2:
                return modOtSlideshowHelper::getSlidesFromArticleIDs($params);
                break;
            case 3:
                return modOtSlideshowHelper::getSlidesFromK2Categories($params);
                break;
            case 4:
                return modOtSlideshowHelper::getSlidesFromK2IDs($params);
                break;
        }
    }

    static function getSlidesFromCategories($params) {
        $limit = $params->get('otslideshow_count', 0);
        $categories = $params->get('otslideshow_categories', array());
        $categories = implode(',', $categories);
        $db = JFactory::getDbo();
        $query = $db->getQuery(true)
                ->select("c.id")
                ->from("#__content AS c")
                ->where("c.catid IN({$categories})")
                ->where("c.state > 0");
        if ($limit > 0) {
            $db->setQuery($query, 0, $limit);
        } else {
            $db->setQuery($query);
        }
        $rows = $db->loadObjectList();
        $slides = array();
        if (empty($rows)) {
            return $slides;
        }
        foreach ($rows as $row) {
            $slide = new OTSlide($params);
            $slide->loadArticle($row->id);
            $slides[] = $slide;
        }
        return $slides;
    }

    static function getSlidesFromArticleIDs($params) {
        $ids = $params->get('otslideshow_article_ids', '');
        $ids = str_replace(' ', '', $ids);
        if (empty($ids))
            return $slides;
        $ids = explode(',', $ids);
        $slides = array();
        if (empty($ids))
            return $slides;
        foreach ($ids as $id) {
            $slide = new OTSlide($params);
            $slide->loadArticle($id);
            $slides[] = $slide;
        }
        return $slides;
    }

    static function getSlidesFromK2Categories($params) {
        $limit = $params->get('otslideshow_count', 0);
        $categories = $params->get('otslideshow_k2_categories', array());
        $categories = implode(',', $categories);
        $db = JFactory::getDbo();
        //SELECT * FROM #__k2_items WHERE catid={$catid} AND published = 1 LIMIT {$count}
        $query = $db->getQuery(true)
                ->select("k2.id")
                ->from("#__k2_items AS k2")
                ->where("k2.catid IN({$categories})")
                ->where("k2.published = 1");
        if ($limit > 0) {
            $db->setQuery($query, 0, $limit);
        } else {
            $db->setQuery($query);
        }
        $rows = $db->loadObjectList();
        $slides = array();
        if (empty($rows)) {
            return $slides;
        }
        foreach ($rows as $row) {
            $slide = new OTSlide($params);
            $slide->loadK2($row->id);
            $slides[] = $slide;
        }
        return $slides;
    }

    static function getSlidesFromK2IDs($params) {
        $ids = $params->get('otslideshow_k2_ids', '');
        $ids = str_replace(' ', '', $ids);
        if (empty($ids))
            return $slides;
        $ids = explode(',', $ids);
        if (empty($ids))
            return $slides;
        foreach ($ids as $id) {
            $slide = new OTSlide($params);
            $slide->loadK2($id);
            $slides[] = $slide;
        }
        return $slides;
    }

}